Extending Qt Creator Manual | Snippet

Extending Qt Creator Manual 4.5.2

# Snippet Class

(TextEditor::Snippet)

- List of all members, including inherited members

## Public Types

class | ParsedSnippet

## Public Functions

| Snippet(const QString &groupId = QString(), const QString &id = QString())
| ~Snippet()
const QString & | complement() const
const QString & | content() const
QString | generateTip() const
const QString & | groupId() const
const QString & | id() const
bool | isBuiltIn() const
bool | isModified() const
bool | isRemoved() const
void | setComplement(const QString &complement)
void | setContent(const QString &content)
void | setIsModified(bool modified)
void | setIsRemoved(bool removed)
void | setTrigger(const QString &trigger)
const QString & | trigger() const

## Static Public Members

ParsedSnippet | parse(const QString &snippet)

## Member Function Documentation

### Snippet::Snippet(const QString &groupId = QString(), const QString &id = QString())

Default constructs an instance of Snippet.

### Snippet::~Snippet()

Destroys the instance of Snippet.

### const QString &Snippet::complement() const

See also setComplement().

### const QString &Snippet::content() const

See also setContent().

### QString Snippet::generateTip() const

### const QString &Snippet::groupId() const

### const QString &Snippet::id() const

### bool Snippet::isBuiltIn() const

### bool Snippet::isModified() const

See also setIsModified().

### bool Snippet::isRemoved() const

See also setIsRemoved().

### `[static]` ParsedSnippet Snippet::parse(const QString &snippet)

### void Snippet::setComplement(const QString &complement)

See also complement().

### void Snippet::setContent(const QString &content)

See also content().

### void Snippet::setIsModified(bool modified)

See also isModified().

### void Snippet::setIsRemoved(bool removed)

See also isRemoved().

### void Snippet::setTrigger(const QString &trigger)

See also trigger().

### const QString &Snippet::trigger() const

See also setTrigger().